Page MenuHomePhabricator

Localisation of ProofreadPage namespaces for Tamil (ta) wikisource
Closed, ResolvedPublic

Description

The following namespace is missing for Tamil wikisource.

"nstab-page": "பக்கம்",   
"nstab-index": "அட்டவணை",   
"nstab-author": "ஆசிரியர்",

canonical name : page
localised name: பக்கம்

canonical name : Index
localised name: அட்டவணை

canonical name: Author
localised name: ஆசிரியர்

Kindly please add them

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2016, 7:02 AM
Balajijagadesh renamed this task from localisation for tamil (ta) wikisource to localisation of namespaces for tamil (ta) wikisource.Aug 6 2016, 7:08 AM
Balajijagadesh updated the task description. (Show Details)
Nemo_bis renamed this task from localisation of namespaces for tamil (ta) wikisource to Localisation of ProofreadPage namespaces for Tamil (ta) wikisource.Nov 6 2016, 1:15 PM
Nemo_bis edited projects, added ProofreadPage; removed MediaWiki-Internationalization.

Change 332052 had a related patch set uploaded (by Seb35):
i18n: Add some messages

https://gerrit.wikimedia.org/r/332052

Change 332052 merged by jenkins-bot:
i18n: Add some messages

https://gerrit.wikimedia.org/r/332052

Change 332065 had a related patch set uploaded (by Seb35):
l10n: Tamil namespaces

https://gerrit.wikimedia.org/r/332065

Change 332065 merged by jenkins-bot:
l10n: Tamil namespaces

https://gerrit.wikimedia.org/r/332065

Seb35 added a subscriber: Seb35.Jan 14 2017, 5:50 PM

The namespaces Page and Index are localised, they will be available next Wednesday (20:00-22:00 UTC) when it will be deployed. I added the translation of the talk namespace after observing it is always the same pattern: adding "_பேச்சு" at the end; if I’m wrong, please tell what is the right translation.

For "nstab-page" and "nstab-index", they will appear soon on Translatewiki, where you will be able to translate them.

Seb35 triaged this task as Normal priority.Jan 14 2017, 5:51 PM
Seb35 added a subscriber: siebrand.Jan 14 2017, 5:54 PM

For the "Author" namespace, I don’t know how to do, there are already pages beginning with "ஆசிரியர்:" and I think they will become unaccessible because of internal MediaWiki mechanism, isn’t it?

Help wanted! How to properly translate a namespace when there are existing pages with the future namespace prefix?

Seb35 claimed this task.May 19 2017, 4:53 PM
Seb35 added a comment.May 19 2017, 8:50 PM

Ok, I tested and, given the pages beginning with "ஆசிரியர்:" are in the main namespace (0) they will disapeared if this namespace is introduced. It seems the maintenance script namespaceDupes.php can do the job to transfer the pages to the right namespace. So probably this should be synchronised with the operations team.

Dereckson closed this task as Resolved.May 19 2017, 8:56 PM

There are two requests: one to localize the ProofreadPage namespaces, one for a custom Author: namespace not handled by Proofreadpage. The first onehas been resolved by @Seb35, the second one will be handled at T165813.